Open MPI logo

Open MPI User's Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Open MPI User's mailing list

Subject: Re: [OMPI users] PathScale problems persist
From: Ake Sandgren (ake.sandgren_at_[hidden])
Date: 2010-09-22 08:54:05


On Wed, 2010-09-22 at 14:16 +0200, Ake Sandgren wrote:
> On Wed, 2010-09-22 at 07:42 -0400, Jeff Squyres wrote:
> > This is a problem with the Pathscale compiler and old versions of GCC. See:
> >
> > http://www.open-mpi.org/faq/?category=building#pathscale-broken-with-mpi-c%2B%2B-api
> >
> > I note that you said you're already using GCC 4.x, but it's not clear from your text whether pathscale is using that compiler or a different GCC on the back-end. If you can confirm that pathscale *is* using GCC 4.x on the back-end, then this is worth reporting to the pathscale support people.
>
> I have no problem running the code below compiled with openmpi 1.4.2 and
> pathscale 3.2.

And i should of course have specified that this is with a GCC4.x
backend.

-- 
Ake Sandgren, HPC2N, Umea University, S-90187 Umea, Sweden
Internet: ake_at_[hidden]   Phone: +46 90 7866134 Fax: +46 90 7866126
Mobile: +46 70 7716134 WWW: http://www.hpc2n.umu.se